"""
Created on 15.11.21

@author: Joschka
"""
import logging

import numpy as np
from scipy.io import savemat

def main():
    step = 0.05
    xlim_mm = 30
    xlim = int(xlim_mm / step) + 1

    print(xlim)
    ylim_mm = 30
    ylim = int(ylim_mm / step) + 1
    zlim_mm = 20
    zlim = int(zlim_mm / step) + 1

    b_1qu = np.load('output/final/b_full.npy')
    #b_1qu = b_1qu.round(7)

    #

    # xx = 50
    # yy = 50
    # str = np.array2string(b_1qu[xx, yy, :, 0])
    bx_txt = open("output/step_50μm/Bx_step_50.txt", "w+")

    for xx in range(0,xlim):
        for yy in range(0,ylim):
            str_line = ''
            for zz in range(0,zlim):
                str_el = str(b_1qu[xx, yy, zz, 0])
                if len(str_el) != 8:
                    length_diff = len(str_el) - 8
                    if length_diff > 0:
                        for i in range(0,length_diff):
                            str_el = str_el[:-1]
                    if length_diff < 0:
                        for i in range(0,-length_diff):
                            str_el = str_el + '0'
                    if len(str_el) != 8:
                        raise ValueError

                str_line = str_line + str_el + ' '
            str_line += '\n'
            bx_txt.write(str_line)
    bx_txt.close()

    by_txt = open("output/step_50μm/By_step_50.txt", "w+")

    for xx in range(0,xlim):
        for yy in range(0,ylim):
            str_line = ''
            for zz in range(0,zlim):
                str_el = str(b_1qu[xx, yy, zz, 1])
                if len(str_el) != 8:
                    length_diff = len(str_el) - 8
                    if length_diff > 0:
                        for i in range(0,length_diff):
                            str_el = str_el[:-1]
                    if length_diff < 0:
                        for i in range(0,-length_diff):
                            str_el = str_el + '0'
                    if len(str_el) != 8:
                        raise ValueError

                str_line = str_line + str_el + ' '
            str_line += '\n'
            by_txt.write(str_line)
    by_txt.close()

    bz_txt = open("output/step_50μm/Bz_step_50.txt", "w+")

    for xx in range(0,xlim):
        for yy in range(0,ylim):
            str_line = ''
            for zz in range(0,zlim):
                str_el = str(b_1qu[xx, yy, zz, 2])
                if len(str_el) != 8:
                    length_diff = len(str_el) - 8
                    if length_diff > 0:
                        for i in range(0,length_diff):
                            str_el = str_el[:-1]
                    if length_diff < 0:
                        for i in range(0,-length_diff):
                            str_el = str_el + '0'
                    if len(str_el) != 8:
                        raise ValueError

                str_line += str_el + ' '
            str_line += '\n'
            bz_txt.write(str_line)
    bz_txt.close()

    """
    by_txt = open("output/By_step_300.txt", "w+")
    for xx in range(0,xlim):
        for yy in range(0,ylim):
            str_1 = ' '.join(map(str,b_1qu[xx, yy, :, 1]))
            by_txt.writelines(str_1)
    by_txt.close()

    bz_txt = open("output/Bz_step_300.txt", "w+")
    for xx in range(0, xlim):
        for yy in range(0, ylim):
            str_1 = ' '.join(map(str, b_1qu[xx, yy, :, 2]))
            bz_txt.writelines(str_1)
    bz_txt.close()
    """



if __name__ == '__main__':
    main()